TON CenterV3Jettons
applications/api/toncenter/v3/jettons/get-jetton-transfers
Query Parameters
owner_address?array<string>
Address of jetton wallet owner in any form. Max 1000
jetton_wallet?array<string>
Jetton wallet address in any form. Max: 1000.
jetton_master?string
Jetton master address in any form.
direction?string
Direction of transfer. Note: applied only with owner_address.
Value in
"in" | "out"start_utime?integer
Query transactions with generation UTC timestamp after given timestamp.
Format
int32Range
0 <= valueend_utime?integer
Query transactions with generation UTC timestamp before given timestamp.
Format
int32Range
0 <= valuestart_lt?integer
Query transactions with lt >= start_lt.
Format
int64Range
0 <= valueend_lt?integer
Query transactions with lt <= end_lt.
Format
int64Range
0 <= valuelimit?integer
Limit number of queried rows. Use with offset to batch read.
Default
10Format
int32Range
1 <= value <= 1000offset?integer
Skip first N rows. Use with limit to batch read.
Default
0Format
int32Range
0 <= valuesort?string
Sort transactions by lt.
Default
"desc"Value in
"asc" | "desc"Response Body
application/json
application/json
curl -X GET "https://example.com/api/v3/jetton/transfers"{
"address_book": {
"property1": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
},
"property2": {
"domain": "string",
"interfaces": [
"string"
],
"user_friendly": "string"
}
},
"jetton_transfers": [
{
"amount": "string",
"custom_payload": "string",
"decoded_custom_payload": [
0
],
"decoded_forward_payload": [
0
],
"destination": "string",
"forward_payload": "string",
"forward_ton_amount": "string",
"jetton_master": "string",
"query_id": "string",
"response_destination": "string",
"source": "string",
"source_wallet": "string",
"trace_id": "string",
"transaction_aborted": true,
"transaction_hash": "string",
"transaction_lt": "0",
"transaction_now": 0
}
],
"metadata": {
"property1": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
},
"property2": {
"is_indexed": true,
"token_info": [
{
"description": "string",
"extra": {},
"image": "string",
"name": "string",
"nft_index": "string",
"symbol": "string",
"type": "string",
"valid": true
}
]
}
}
}{
"code": 0,
"error": "string"
}Last updated on